Bug Hunting Session
Bug 33791 - Print system fails to use or allow user to select correct paper size for printing (with certain configuration/printer)
Summary: Print system fails to use or allow user to select correct paper size for prin...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: x86 (IA32) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 44275 45426 45953 66365 (view as bug list)
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2011-01-31 17:36 UTC by Wes Taylor
Modified: 2018-11-06 15:32 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wes Taylor 2011-01-31 17:36:35 UTC
Mac OS X Ver. 10.6.6
Printer: Brother 2070N

Desired Paper size is Envelope #10.

This size is selectable for the Brother printer from all other desktop programs when printing.
LibreOffice allows selecting #10 envelope from the choice list in the format page dialog.  LibreOffice displays a #10 envelope shape for the page for composing the address.  However, the LibreOffice print dialog appears to only recognize 8.5 X 11 inch paper.  The output when viewed with the preview option shows 8.5 X 11 paper with the address positioned to the side, rather than properly centered for envelopes on the Brother 2070N.

This _is_ a major bug for me.  I am not able to effectively perform several jobs that I do without this.

Why can't you use the OS X print dialog rather than reinvent the wheel?  In this case the wheel has some sharp corners on it making it unusable.
Comment 1 Björn Michaelsen 2011-12-23 11:47:55 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Eric Stadtherr 2011-12-23 21:21:46 UTC
I have confirmed that in LibreOffice 3.5.0beta2 the page size is not being configured correctly in the printer. I created a document and used "Format->Page" to set the page size to 5" x 7". When I bring up the "Print..." window, the preview shown on the left is of an 8.5" x 11" page, and the printer believes it is printing to an 8.5" x 11" page.
Comment 3 lanasth 2011-12-29 11:26:34 UTC
(In reply to comment #2)
> I have confirmed that in LibreOffice 3.5.0beta2 the page size is not being
> configured correctly in the printer. I created a document and used
> "Format->Page" to set the page size to 5" x 7". When I bring up the "Print..."
> window, the preview shown on the left is of an 8.5" x 11" page, and the printer
> believes it is printing to an 8.5" x 11" page.

This looks similar to my problem in Windows.  See:
https://bugs.freedesktop.org/show_bug.cgi?id=44275
Comment 4 Cor Nouws 2012-02-06 15:13:15 UTC
*** Bug 45426 has been marked as a duplicate of this bug. ***
Comment 5 Josh Heidenreich 2012-02-15 17:51:20 UTC
I tried (unsuccessfully) to reproduce this bug. Has it been fixed?

Steps I tried:
1. Create a new document.
2. Format -> Page.
3. Chose #10 envelope.
4. File -> Print.

Small preview shows #10 envelope, printer properties has #10 envelope selected.

Chose print to file (saved as a PDF), document is in correct size.

Build is about a day old, from GIT (8bbfedd199deedb8dc7f196efba60c8cefb8da67).

System:
Linux dev1 2.6.32-34-generic #77-Ubuntu SMP x86_64.

Will attach ODF and PDF if requested.
Comment 6 Tim 2012-02-16 05:50:46 UTC
I believe it is now fixed in 3.5, I have been able to successfully print an envelope in: 
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 7 Cor Nouws 2012-02-16 06:35:25 UTC
for me it still does not work as before. Without doubt, there is a relation with the local situation, e.g. printerdriver
Comment 8 kgumerlock 2012-03-12 07:41:33 UTC
This problem has existed in LibreOffice now for quite some time, and as I understand it, could be a regression from as early as OOo 3.1.

Steps to reproduce:
System: Mac OS X 10.7.3 (this bug does not affect Windows systems, apparently)
Printer: Lexmark E260dn, (observed with other printers as well)
LO version: 3.5.0rc3

1. Open Writer, New Document
2. Format -> Page, "Page" tab, in the "Format" drop-down select "#10 Envelope"
3. File -> Print, "Show Details", then in the details drop-down, select "Paper Handling"
4. Notice that "Destination Paper Size" reads "Suggested Paper: " followed by whatever is set as the "Default paper size: " under OS X System Preferences -> Print & Scan
5. Attempting to change the output tray under "Paper Feed" in the Print Dialog to a tray that has #10 Envelope loaded results in the dialog "The Media Source option, [tray name], is not available when the destination paper size is set to [system default paper size]. To scale to fit to Envelope Monarch, click Continue. To keep Media Source at its current setting, click Cancel."
6. Clicking "Continue" at the previous dialog results in, under "Paper Handling", "Scale to fit paper size" being checked, and the "Destination Paper Size" drop-down is enabled. However, when printing, the output is the image of a #10 envelope projected on to a sheet of paper, then *scaled* down (rather than cropped) to fit a #10 envelope.

Using "US Letter" as a default paper size under OS X, here are the correlations between sizes selected in the Format -> Page menu in Writer and the resulting "Suggested Paper" sizes in the Print dialog:

A6 -> A6
A5 -> A5
A4 -> A4
A3 -> US Legal
B6 -> US Letter
B5 (ISO) -> B5
B4 (ISO) -> US Letter
Letter -> US Letter
Legal -> US Legal
Long Bond -> US Letter
Tabloid -> US Legal
B6 (JIS) -> US Letter
B5 (JIA) -> JIS B5
B4 (JIS) -> US Legal
16 Kai -> JIS B5
32 Kai -> A5
Big 32 Kai -> A5
DL Envelope -> US Letter
C6 Envelope -> A6
C6/5 Envelope -> US Letter
C5 Envelope -> US Letter
C4 Envelope -> US Letter
#6 3/4 (Personal) Envelope -> A6
#8 (Monarch) Envelope -> US Letter
#9 Envelope -> US Letter
#10 Envelope -> US Letter
#11 Envelope -> US Letter
#12 Envelope -> US Letter

Here are all the sizes currently defined in my system, as selectable in the "Default paper size" drop-down in System Preferences -> Print & Scan:
US Letter
US Legal
A4
A5
JIS B5
B5
Envelope #10
Envelope DL
Tabloid
A3
Tabloid Oversize
ROC 16K
Envelope Choukei 3
Super B/A3

OS X seems to have a system-wide "Page Setup" dialog that is normally found under File -> Page Setup (implemented in e.g. Firefox), with system-wide defined paper sizes. MS Word 2011 also implements this feature, and changes in page size are expected to be made there, rather than in any Word-specific Format dialog. I believe that the solution to this bug rests somewhere in implementing the system's "Page Setup" dialog.
Comment 9 Allan Ryan 2012-03-12 21:09:00 UTC
I really thought that LO 3.5 would solve my problem, but it did not. Here's a recap of my problem.

OVERVIEW: I live in the Philippines and our Legal paper size here is 13" rather
than 14". So naturally I would create a custom paper size for any printer that
I have. 

When I migrated to Libre Office from Open Office I started to notice some
problems with printing on a custom 13" paper size. No matter what I do, it will
not print properly and it defaults back to letter size.

WORKAROUND: The work around that I do to be able to print in 13" is to save the
document into a PDF and print using Foxit PDF reader.

STEPS TO REPRODUCE:
1. Create a document.
2. Format the page to a custom page size of 13" long.
3. Try to print, under printer options, try to use custom paper size 13" as
well.
4. You will see on the preview that the paper size did not change from letter
to the custom size.
5. Print the document. 

ACTUAL RESULTS: It will come out on a letter size and the lower part of the
document will be incomplete.

EXPECTED RESULTS: Libre Office should be able to print properly on the custom
size paper of 13" like what I was doing in Open Office before.

BUILD DATE & PLATFORM: All RELEASE version of Libre Office on Windows XP SP3.

ADDITIONAL INFORMATION: Libre Office is the only application that I use that
can't print properly like this. I have no problems with Open Office before, as
well as CorelDraw, GIMP, etc. I tried out other versions as well. All Libre
Office Release version like 3.4.4 to 3.4.5 and 3.3.4 up to 3.5 have this issue.
Comment 10 Matthias Pronk 2012-05-17 06:38:25 UTC
*** Bug 45953 has been marked as a duplicate of this bug. ***
Comment 11 Matthias Pronk 2012-05-17 06:44:32 UTC
I don't think it has anything to do with the printer driver. The problem exists on both Macs I use here. An iBook connected with a Canon IP4200 and a MacBookPro connected with a HP LaserJet 3015.

Also, this is still an issue with LO 3.5.3.
Comment 12 Bob Smits 2012-08-01 04:44:28 UTC
It doesn't have anything to do with the printer driver. I'm using OpenSuse 12.1 KDE and had this problem with Libre Office installed. I uninstalled LibreOffice, and reinstalled OpenOffice 3.3.0 and all the problems went away. I can print to either landscape or portrait, and even mix them in the same document.I made NO other changes, so it's LO that is the problem.
Comment 13 Elaine Albertson 2012-08-24 17:47:59 UTC
I'm having the same issue with 3.6.0.4. As noted above, the print function will not allow me to print on US B (11x17) on an Epson Workforce 1100, using Windows 7 Ultimate from a very high-end workstation. I can print on legal, but not 11x17. The Writer print dialogue allows me to set it, but when you get to actually sending it to the printer it's back to 8.5x11. This is NOT good. I don't want to have to set everything up in Inkscape just to get a newsletter out.
Comment 14 Domingo Sacristan 2012-09-14 08:18:12 UTC
I can confirm that the problem using custom paper size remains unsolved in LibreOffice 3.6.1
Comment 15 Bill 2012-09-19 12:36:46 UTC
This bug also exists in Calc, 3.6.1.2 on Win7 Pro on Epson Stylus Photo 1400.

Open Calc (no data, new file), set printer settings for B (11x17) size paper, select print, and the print dialog shows 11x17 paper being used in printer.

Add data to one cell, select print, and the print dialog shows 8.5x11 paper being used (printer settings still shows 11x17).

Delete the data from the single cell, select print, and the print dialog once again shows 11x17 paper being used.
Comment 16 Rainer Bielefeld Retired 2013-01-29 05:40:22 UTC
*** Bug 44275 has been marked as a duplicate of this bug. ***
Comment 17 Joel Madero 2013-02-08 15:39:51 UTC
3.5 has come to the end of life in its cycle. I am moving this to 3.6 MAB, I will try to get a developer to look at this asap as it's been on the list for quite some time. 

For all users affected by this - apologies for the long delay and thank you for your patience.
Comment 18 Tomoo Nomura 2013-05-13 01:58:31 UTC
Joel and all,

I have had the similar problem since ver. 3.3.x on Linux x86_64.
This problem is a little bit difficult to confirm on Canon or Epson inkjet printers. On these printers, a paper smaller than default size is placed adjusting top left corner of the default size paper. On the other hand, Brother printer, like DCP-J925N, adjusting center right of the default size paper.
Even in case that the printer driver mishandled this adjustment, Canon or Epson printer prints the document correctly because top left corners are the same position(0,0) between the target paper and the default paper. Brother printer, however, can't print the document correctly because it requires the adjustment. The center right position is not (0,0).

The method I tested is
1. Launch gedit on Linux.
2. Make a new document.
3. Type "ABCDEFG" on the top line.
4. Prepare Brother printer with Default paper(A4 or Letter).
5. Choose default paper on print dialogue and print. (#1)
6. Choose another paper such as post card and print. (#2)
7. Choose "custom paper size..." and register 90mm x 205mm (Japanese No.4 Envelop) and print. (#3)

You will see the results. #3 is exactly the same as #1. It must be the different form #1 such as #2.

Regards,
Tomoo
Comment 19 Caolán McNamara 2013-05-20 11:53:41 UTC
Presumably the general issue is that if the printer doesn't claim to have support for the exact right paper size then we're forcing rendering on the closest size that the printer does claim to have and centering the result on that.
Comment 20 Michael Meeks 2013-07-03 10:38:21 UTC
*** Bug 66365 has been marked as a duplicate of this bug. ***
Comment 21 Holger Bruenjes 2013-07-10 20:24:42 UTC
landscape printing with HP1220c failed also ;-(
Comment 22 Holger Bruenjes 2013-07-11 21:20:58 UTC
the default entry 'PDF printing' break the landscape printout.
do not use it!
Comment 23 tommy27 2013-07-27 05:05:29 UTC
is anybody still confirming this bug on more recent LibO releases?
actually you can try 4.0.4 and 4.1.0
Comment 24 edi67 2013-07-30 15:54:00 UTC
I can confirm bug on LibreOffice 4.1.0.4 and LJ2100 printer. 
When custom size paper is set Writer falls back to paper size with closest dimension when printing.
Comment 25 Cor Nouws 2013-07-30 20:11:14 UTC
(In reply to comment #19)
> Presumably the general issue is that if the printer doesn't claim to have
> support for the exact right paper size then we're forcing rendering on the
> closest size that the printer does claim to have and centering the result on
> that.

That is what I remember from the explanation by the developer some years back when I first hit this bug in OOo.
(could try to find it in my archives, but not sure if that makes sense ?)
Comment 26 tommy27 2013-07-30 20:29:05 UTC
moving it to mab4.0 vs. 3.6 because 3.6 has reached EOL so we are in the process of closing the meta bug.
Comment 27 crxssi 2013-09-09 17:37:46 UTC
(In reply to comment #19)
> Presumably the general issue is that if the printer doesn't claim to have
> support for the exact right paper size then we're forcing rendering on the
> closest size that the printer does claim to have and centering the result on
> that.

I can only speak for CUPS in a Linux environment with postscript page printers....

To my knowledge CUPS doesn't work that way (or if it does, it shouldn't and hasn't in any other Linux app I have ever used).  If you send a document to a printer on a paper size it doesn't have, the *printer* should resolve that difference, not the application and not CUPS.  Example- printer has letter paper in two trays.  You send legal to it, the printer should ask the user to "load legal".  The user can decide, at the printer, to cancel the job, change a tray to legal, insert it manually, or tell printer to force print on loaded media (fit to page, if it has that option on the printer).

This issue sounds similar to Bug 61189 where PDF printing mode is apparently not sending a paper size at all to the printer.  Our only workaround in our production environment had been to switch back to postscript printing, which worked fine until the regression described in Bug 67802 popped up in 4.1.0.
Comment 28 milandima 2013-10-03 08:41:41 UTC
I have this problem ONLY when the page format lay-out is set to landscape. 

If I keep the default portrait mode for the page the printer succeeds in choosing the right paper layout. Changing the format to landscape causes the printer to automatically choose A4 as suggested paper layout. 

Also not all paper sizes from printers are shown in print options in Libre office


Printer: HP 7500A
OS: Mac OS X Mountain Lion 10.8.5
Libreoffice: 4.1.1.2
Comment 29 kgumerlock 2013-10-05 20:09:11 UTC
I am writing to let you know that this bug no longer exists for me. I have not comprehensively tested it through the successive LibreOffice versions, but I now have a working config:

LibreOffice 4.1.2
Mac OS X 10.8.5
Printer Lexmark X264dn
Comment 30 tommy27 2013-10-06 06:27:22 UTC
nice to hear that.
what about other users who experienced this bug?
is it gone for you in LibO 4.1.2?
if yes, we could mark this as RESOLVED WORKSFORME
Comment 31 Tomoo Nomura 2013-10-06 10:31:06 UTC
Resolved, but happened another problem.
I will open another thread.
Please close it.
Comment 32 Cor Nouws 2016-02-03 13:31:36 UTC
Setting to WorksForMe.

The improvement for the OP came through a changed configuration/printer, rather then through a specific commit.
Comment 33 Devon 2018-11-06 15:32:32 UTC
I'm experiencing the same problem in Version: 5.1.6.2
Build ID: 1:5.1.6~rc2-0ubuntu1~xenial4